Installation Requirements

Before you start installing MoinMoin, some requirements have to be met. The actual requirements depend largely on what kind of setup you plan for your wiki installation.

What do you need to know?

There are two major ways of using MoinMoin, requiring different knowledge about the environment it is going to be installed in (e.g. operating system, server software, etc.):

  • Quick installation:
    • A likely scenario for use on a personal computer or laptop
    • No knowledge about administration of servers is required, but
    • You should be familiar with your chosen operating system
  • Server installation:
    • General server administration knowledge is required
    • You have to know about web server configuration
    • You have to know about permissions, users, groups and the like

(!) Please note, that there are service providers who offer hosted, pre-configured MoinMoin installations. Also, in case you need MoinMoin on your own server, please see the Support Options about how to get help with installation/configuration.

What software do you need to have installed?

The software that has to be installed on the target machine, also largely depends on the type of deployment AND on the features you want to make use of. While the largest amount of functionality in MoinMoin works with a minimal set of requirements, some features can only be activated in the presence of additional software:

Required software

For details, see docs/REQUIREMENTS in your moin download archive.